Package Details: cquery-git 1942.3ac1ff24-2

Git Clone URL: https://aur.archlinux.org/cquery-git.git (read-only)
Package Base: cquery-git
Description: Low-latency vscode language server for large C++ code-bases, powered by libclang.
Upstream URL: https://github.com/cquery-project/cquery/
Keywords: c++ language-server libclang vscode
Licenses: MIT
Submitter: htfy96
Maintainer: htfy96 (MaskRay, SilverRainZ)
Last Packager: htfy96
Votes: 7
Popularity: 0.042118
First Submitted: 2017-11-18 06:11
Last Updated: 2018-08-03 08:25

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

petronny commented on 2017-12-27 06:12

I get ?[1m?[32m==>?(B?[m?[1m Starting build()...?(B?[m Setting top to : /build/cquery-git/src/cquery Setting out to : /build/cquery-git/src/cquery/build Checking for 'clang++' (C++ compiler) : /usr/bin/clang++ Checking for header stdio.h : yes checking for llvm-config : not found Checking for clang prefix : not found (--clang-prefix must be specified when llvm-config is not found) ?[1m?[31m==> ERROR:?(B?[m?[1m A failure occurred in build().?(B?[m ?[1m Aborting...?(B?[m

htfy96 commented on 2017-12-18 01:54

@MaskRay I'd prefer to leave it as a separate package called cquery-emacs-git which depends on emacs

htfy96 commented on 2017-12-18 01:48

llvm is required to build this package. I'll add it soon.

zwindl commented on 2017-12-17 08:55

I got some error when building cquery, and I'm using clang 5.0, logs: https://ptpb.pw/izgS what should I provide to solve that?

MaskRay commented on 2017-12-17 01:51

[PATCH] Install Emacs plugin

https://ptpb.pw/7GcK

htfy96 commented on 2017-12-15 07:00

@MaskRay Merged. Thanks!

MaskRay commented on 2017-12-15 06:46

[patch] Use system clang

https://ptpb.pw/Z3KN

htfy96 commented on 2017-12-15 01:41

@petronny: Currently this build script is broken because they merged some patches which broke my previous hacks in PKGBUILD. I'd prefer to wait for https://github.com/jacobdufault/cquery/pull/139 and simplify this build script. Won't be too long.

petronny commented on 2017-12-14 19:53

I get

'build' finished successfully (50.298s) ls: cannot access 'lib': No such file or directory ?[1m?[32m==>?(B?[m?[1m Starting check()...?(B?[m /startdir/PKGBUILD: line 42: ./app: No such file or directory ?[1m?[31m==> ERROR:?(B?[m?[1m A failure occurred in check().?(B?[m

VanLaser commented on 2017-11-27 14:25

Would it be possible to also install (i.e. not strip) 'emacs/cquery.el' ? It might be useful to Emacs users, since the package is not on elpa/melpa etc.

UPDATE: Adding a `cp -rf ./emacs ${pkgdir}/opt/cquery` under the existing `cp -rf ./clang_resource_dir ${pkgdir}/opt/cquery/` line in PKGBUILD seems to work.